Description
Our system is running Servoy 6.0.0

The system runs fine but sometimes, reports done with Jasper start printing wrong characters. We use spanish characters and most
of the time print fine but sometimes Jasper prints different characters for those special spanish characters.

The solution is to restart Servoy Application Server.

Our question in the forum was never answered: https://www.servoy.com/forum/viewtopic.php?f=15&t=18186&hilit=charset
We are using the jasper plugin which came with servoy 6.0.0 with ireport 3.7.1, over dbfs
We updated the jasper plugin ut it doesn't work

History

#1 - 05/02/2013 03:25 PM - Andrei Costache

Hello,

If possible we would need some more details:

1) are you using now the latest 3.3.x or 4.0.x version of the plugin?

2) are you generating a PDF report or using 'view' as the export format?
3) is this an SQL based report (or are you using a foundset based one)

4) if you are using iReport as the report designer, have you tried to change the text field encoding to something else (for instance from Cp1252 to
Cp12507?)

Regards,
Andrei

#2 - 05/02/2013 04:48 PM - Ana Inés Richardson

Andrei,

1- We are using the 3.1_b but we tried with the latest basic 4.0.x and didnt work
2- both options, the problem happens in both

3- sql, using servoy conecction to odbc (jdbc:odbc)
4- we'll try this, but it doesnt make much sense since it works from time to time, is it posible that the encoding changes?

regards

#3 - 05/03/2013 12:42 PM - Andrei Costache

Hi Ana,

Please try with the 3.3.1 (latest 3.3.x) version; also, please try this with the chart and script version (to rule a bit more the problem of a missing or
troublesome library in there).

Moreover, are you getting any errors in the log files when this happens (server or workspace log)?

Regards,
Andrei

#4 - 05/03/2013 04:51 PM - Ana Inés Richardson
Hi Andrei,

We tried but it doesn't work.
No error reported on log files
https://www.servoy.com/forum/viewtopic.php?f=15&t=18186&hilit=charset

We notice something strange, if we run a preview of the report directly in Ireport it works fine. We use the same connection, Servoy and Ireport both
use a "sun.jdbc.odbc.JdbcOdbcDriver", is there a way we can check if it is the same driver version?

best regards,
Ana Inés

#5 - 05/07/2013 12:19 PM - Andrei Costache
Ana Inés Richardson wrote:
Hi Andrei,

We tried but it doesn't work.
No error reported on log files

We notice something strange, if we run a preview of the report directly in Ireport it works fine. We use the same connection, Servoy and Ireport
both use a "sun.jdbc.odbc.JdbcOdbcDriver", is there a way we can check if it is the same driver version?

best regards,
Ana Inés
| think you can look inside the MANIFEST file, inside the jdbc jar; that file should reveal some version info.

Regards,
Andrei

#6 - 05/10/2013 01:51 PM - Ana Inés Richardson
Hi,
Could you tell me where can | find the driver on disk or the manifest. We don't know the name on disk.

Thanks in advance,
Ana Inés

#7 - 05/10/2013 01:57 PM - Andrei Costache
Please check the MANIFEST.MF inside the /path/to/servoy/application_server/drivers/DBF_JDBC30.jar

#8 - 05/10/2013 04:14 PM - Ana Inés Richardson
Hi

Thanks for the response.
| checked the version there, however | couldn't check the file driver that Jasper use because | don't know where it is.

Do you think the problem can be on the different versions or should | check something else?

Regards,
Ana Inés

#9 - 05/14/2013 05:06 PM - Andrei Costache
Ana Inés Richardson wrote:
Hi

Thanks for the response.
| checked the version there, however | couldn't check the file driver that Jasper use because | don't know where it is.

Do you think the problem can be on the different versions or should | check something else?
Regards,
Ana Inés
Ana, you can check i think for the iReport used driver under /lib or /ireport/modules/ext (i am not on windows but the path should be the same or

around there somewhere).

| wonder: you said on the forum, as i recall, that in a normal Servoy solution, the same data is shown properly, no encoding issues; same with iReport.
Do you have these issues only when the JasperReports plugin is used? Does the problem happen with any iReport lower version?

It would be really helpful if you could provide a sample solution and report where this is reproducible.
Regards,
Andrei

#10 - 05/21/2013 12:17 AM - Ana Inés Richardson
Hi Andrei

We couldn’t find any driver under the path you suggested. ( /lib or /ireport/modules/ext). Do you have any other suggestion?

It's true what you said about that we don’t have any encoding issues when we work with Servoy and iReport directly. By now we detected the problem
only when we use the plugin working with the ODBC. And, no, we haven't tested it with any iReport lower version.

Provide a sample solution it’s really difficult; because the installation is complex, a test without the entire configuration we have seems not to be the
same.
I'll give you the details.

Installation:

94 dbf’s tables are in the system and at least 12 tables involved in 1 of the report that has character problem. And 11 sub-reports form that jasper
report.

» Server operating system : Windows server 2003 32 bits (also happens on windows server 2008 32 bits)
» Client operating system: Xp, windows 7

» Java version : 6.0.23

« Servoy version : 6.0

» Servoy Svy_Nav_Framework version :

+ DataBase : Visual Foxpro dbf's 7.0

 Driver for Servoy to work with dbf’s: hxtt DBF_JDBC30.jar

* |Report version : 3.7.1

» Plugin Jasper Report for Servoy version : 3.1_b but we tried with ChartNScript_Servoy_JasperReports_Plugin_v.3.3.1 and didnt work
 Driver for connection ODBC : sun.jdbc.odbc.JdbcOdbcDriver

* Microsoft Visual Foxpro ODBC driver version: 6.01.8629.01

This is a really critical problem for us and for the continuance of our project, so any help would be much appreciated.

Thanks in advance.
Ana Inés

#11 - 05/24/2013 12:24 PM - Rob Gansevles
Ana,

We can only really investigate this issue when we can reproduce this.
Please create a sample solution and include used reports, drivers and dbf files.

Rob

#12 - 07/05/2013 01:36 PM - Ana Inés Richardson

Hi Rob,

We tried to reproduce the problem in a smaller solution, but the problem didn't happened. We assume the amount of data we manage also affect,
because the problem happens when 2 or more user interact inserting and updating data.

So we see the only way is that you work on our real solution, however send you all the solution and the configuration are causing me difficulties.

Is there any possibility we send you an image of the server installation to upload you on a virtual machine like VMWare or similar?
We also have some problems with the confidentiality of the data, that we need you treat carefully.

I'll wait for your remarks.

Thanks in advance.
Ana Inés

#13 - 07/09/2013 10:09 PM - Ana Inés Richardson
Hi Rob,

We found out other way to send you the solution.

| send you a mail with the necessary information.

Please confirm me if you receive it.

Thanks
Ana Inés

#14 - 07/10/2013 11:31 AM - Rob Gansevles
Hi Ana Inés,

Yes | received the files.
| forwarded them to Andrei, he will probably work on this when we have scheduled this in our work set.

Rob
#15 - 07/16/2013 03:18 PM - Ana Inés Richardson
Hi Rob,

Thanks for the response.
Any idea when you will have some information?

Best regards,
Ana Inés

#16 - 07/30/2013 11:21 PM - Ana Inés Richardson
Hello Rob,

Could you reproduce the problem?
Did you get any conclusion about this issue?

Thanks in advance,
Ana Inés

#17 - 08/13/2013 03:40 PM - Andrei Costache
Ana Inés Richardson wrote:
Hello Rob,

Could you reproduce the problem?
Did you get any conclusion about this issue?

Thanks in advance,
Ana Inés
Hi Ana,

We are looking into your sample solution and i see you are using the odbc connection when running the report:
plugins.jasperPluginRMI.runReport("foxpro","listado_exms_con_dependencias.jasper",null, "view", o)

| am not sure that is correct; why do you not use the jdbc dbf connection here?
Also, could you please also attach the screenshots of the expected and the wrong behaviour you are seeing?
Thank you.

Regards,
Andrei

#18 - 08/14/2013 08:22 PM - Ana Inés Richardson
- File Correct_Image.JPG added
- File Incorrect_Image.PNG added

Hi Andrei,

At the beginning of the project we had some problems with jasper reports working on jdbc and no problem using odbc connection. | tried again to run
the reports, and some of them didn't work and didn't report any error in servoy log, some of them never finish executing.

#19 - 08/17/2013 04:20 PM - Andrei Costache
- Status changed from New to In Progress

- Assignee set to Andrei Costache

#20 - 08/23/2013 03:57 PM - Andrei Costache

Ana Inés Richardson wrote:

Hi Andrei,
At the beginning of the project we had some problems with jasper reports working on jdbc and no problem using odbc connection. | tried again to

run the reports, and some of them didn't work and didn't report any error in servoy log, some of them never finish executing.

Ana, could retry using the jdbc connection - it is recommended you use that.

Also, the report you sent for the case is different from the one in the screenshot.

| tried using the jdbc connection and the report you sent for this issue and all output seems fine on my side. (The odbc setup does not work on my

side)

Can you please try again working with the jdbc connection and could you also test using the latest version of the 3.3.x plugin (and maybe also test

against a Servoy 6.1.x and the 4.x version of the plugin)?

Regards,
Andrei

#21 - 08/24/2013 07:12 AM - Andrei Costache

Just a small update here: please provide details on the situation in which it does not work with JDBC (also if we could try to reproduce using the

samples you provided), as we cannot change anything ODBC related.

Regards,
Andrei

#22 - 02/08/2014 06:59 PM - Andrei Costache

- Status changed from In Progress to Feedback

Please reopen providing the requested feedback.

All the best,
Andrei

#23 - 04/12/2014 11:42 PM - Andrei Costache
- Status changed from Feedback to Closed
